var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component } from '@angular/core';
import { TreeViewState } from '../states/tree-view.state';
import { Store, Select } from '@ngxs/store';
import { Observable } from 'rxjs';
var TreeViewDescriptionComponent = /** @class */ (function () {
    function TreeViewDescriptionComponent(store) {
        this.store = store;
    }
    TreeViewDescriptionComponent.prototype.ngOnInit = function () { };
    TreeViewDescriptionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'tree-view-description-component',
                    template: "\n    <div class=\"tree-view-description\">\n        <ion-grid>\n            <ion-row>\n                <ion-col>\n                    <ion-card>\n                        <ion-card-header>\n                            Description\n                        </ion-card-header>\n\n                        <ion-card-content>\n                            <ion-grid>\n                                <ion-row>\n                                    <ion-col col-4>\n                                        Name\n                                    </ion-col>\n                                    <ion-col>\n                                        <ng-container *ngIf=\"objectSelected$\">\n                                            {{ objectSelected$.name }}\n                                        </ng-container>\n                                    </ion-col>\n                                </ion-row>\n                                <ion-row>\n                                    <ion-col col-4>\n                                        Location\n                                    </ion-col>\n                                    <ion-col>\n                                        <ng-container *ngIf=\"objectSelected$\">\n                                            {{ objectSelected$.parent }}\n                                        </ng-container>\n                                    </ion-col>\n                                </ion-row>\n                                <ion-row>\n                                    <ion-col col-4>\n                                        Type\n                                    </ion-col>\n                                    <ion-col>\n                                        <ng-container *ngIf=\"objectSelected$\">\n                                            {{ objectSelected$.type }}\n                                        </ng-container>\n                                    </ion-col>\n                                </ion-row>\n                                <ion-row>\n                                    <ion-col col-4>\n                                            Size\n                                    </ion-col>\n                                    <ion-col>\n                                    </ion-col>\n                                </ion-row>\n                            </ion-grid>\n                        </ion-card-content>\n                    </ion-card>\n                </ion-col>\n            </ion-row>\n        </ion-grid>\n    </div>\n    ",
                    styles: ["\n    "],
                },] },
    ];
    /** @nocollapse */
    TreeViewDescriptionComponent.ctorParameters = function () { return [
        { type: Store }
    ]; };
    __decorate([
        Select(TreeViewState.getObjectSelected),
        __metadata("design:type", Observable)
    ], TreeViewDescriptionComponent.prototype, "objectSelected$", void 0);
    return TreeViewDescriptionComponent;
}());
export { TreeViewDescriptionComponent };
//# sourceMappingURL=tree-view-description.component.js.map